# Interface JvmTestOperationDescriptor

All Superinterfaces:
  `OperationDescriptor, TestOperationDescriptor`

@Incubating public interface JvmTestOperationDescriptor extends TestOperationDescriptor
Describes a test that runs on the JVM and for which an event has occurred. At least a suite name, class name, or method name is available for each JVM test.

Since:
  2.4

## Method Summary

Modifier and Type
Method
Description
`String`
`getClassName()`
Returns the name of the test class, if any.
`JvmTestKind`
`getJvmTestKind()`
Returns what kind of test this is.
`String`
`getMethodName()`
Returns the name of the test method, if any.
`String`
`getSuiteName()`
Returns the name of the test suite, if any.

### Methods inherited from interface OperationDescriptor

`getDisplayName, getName, getParent`

## Method Details

### getJvmTestKind

JvmTestKind getJvmTestKind()
Returns what kind of test this is.

Returns:
  The test kind.

### getSuiteName

@Nullable String getSuiteName()
Returns the name of the test suite, if any.

Returns:
  The name of the test suite.

### getClassName

@Nullable String getClassName()
Returns the name of the test class, if any.

Returns:
  The name of the test class.

### getMethodName

@Nullable String getMethodName()
Returns the name of the test method, if any.

Returns:
  The name of the test method.